<?php

declare(strict_types=1);

namespace App\SignDocument\Services;

use App\Infrastructure\External\Api\BinaryStringFileResult;

class RemoveExistingDocumentService
{

    public function removeExistingDocument(BinaryStringFileResult $document): void
    {
        if (file_exists($document->tempFileName)) {
            unlink($document->tempFileName);
        }
    }
}